#include <stdio.h>
#include <string.h>

int pali(char *sz)
{
	for (int i=0,j=strlen(sz)-1; 
	         i<=j; i++,j--)
		if (sz[i] != sz[j])
			return 0;
	return 1;
}

void main(void)
{
	char sz[80];
	printf("Kérem a szót:"); gets(sz);
	if (pali(sz))
		printf("A %s szó palindrom.",sz);
	else
		printf("A %s szó nem palindrom.",sz);
}
